Summary:       Apache Portable Runtime Utility library
Name:          apr-util
Version:       1.6.3
Release:       5%{?dist}
License:       ASL 2.0
URL:           https://apr.apache.org/
Source0:       https://www.apache.org/dist/apr/%{name}-%{version}.tar.bz2

BuildRequires: gcc, autoconf, chrpath, apr-devel >= 1.3.0
BuildRequires: libdb-devel, expat-devel, libuuid-devel

%description
The mission of the Apache Portable Runtime (APR) project is to
create and maintain software libraries that provide a predictable
and consistent interface to underlying platform-specific implementations.

%package       pgsql
Summary:       APR utility library PostgreSQL DBD driver
BuildRequires: libpq-devel
Requires:      apr-util = %{version}-%{release}

%description   pgsql
This package provides the PostgreSQL driver for the apr-util
DBD (database abstraction) interface.

%package       mysql
Summary:       APR utility library MySQL DBD driver
BuildRequires: mariadb-connector-c-devel
Requires:      apr-util = %{version}-%{release}

%description   mysql
This package provides the MySQL driver for the apr-util DBD
(database abstraction) interface.

%package       sqlite
Summary:       APR utility library SQLite DBD driver
BuildRequires: sqlite-devel >= 3.0.0
Requires:      apr-util = %{version}-%{release}

%description   sqlite
This package provides the SQLite driver for the apr-util DBD
(database abstraction) interface.

%package       odbc
Summary:       APR utility library ODBC DBD driver
BuildRequires: unixODBC-devel
Requires:      apr-util = %{version}-%{release}

%description   odbc
This package provides the ODBC driver for the apr-util DBD
(database abstraction) interface.

%package       ldap
Summary:       APR utility library LDAP support
BuildRequires: openldap-devel
Requires:      apr-util = %{version}-%{release}

%description   ldap
This package provides the LDAP support.

%package       openssl
Summary:       APR utility library OpenSSL crypto support
BuildRequires: openssl-devel
Requires:      apr-util = %{version}-%{release}

%description   openssl
This package provides the OpenSSL crypto support.

%package       devel
Summary:       APR utility library development kit
Requires:      apr-util = %{version}-%{release}, apr-devel, pkgconfig
Requires:      libdb-devel, expat-devel, openldap-devel

%description   devel
This package provides the header files and libraries for developers
who want to build applications using the APR utility library.

%prep
%autosetup -p1

%build
%global subver 1

autoheader && autoconf

export ac_cv_ldap_set_rebind_proc_style=three
%configure --with-apr=%{_prefix} \
        --includedir=%{_includedir}/apr-%{subver} \
        --with-ldap=ldap \
        --without-gdbm \
        --with-sqlite3 \
        --with-pgsql \
        --with-mysql \
        --without-berkeley-db \
        --with-crypto \
        --with-openssl \
        --without-nss
%make_build

%install
rm -rf %{buildroot}
%make_install

mkdir -p %{buildroot}/%{_datadir}/aclocal
install -m644 build/find_apu.m4 %{buildroot}/%{_datadir}/aclocal

rm -f %{buildroot}%{_libdir}/aprutil.exp
rm -f %{buildroot}%{_libdir}/libapr*.a
#find %{buildroot} -type f -name "*.la" -delete

# remove RUNPATH
chrpath --delete %{buildroot}/%{_libdir}/libaprutil-%{subver}.so.*

%check
make test

%files
%license LICENSE
%doc CHANGES NOTICE
%{_libdir}/libaprutil-%{subver}.so.*
%dir %{_libdir}/apr-util-%{subver}

%files pgsql
%{_libdir}/apr-util-%{subver}/apr_dbd_pgsql*

%files mysql
%{_libdir}/apr-util-%{subver}/apr_dbd_mysql*

%files sqlite
%{_libdir}/apr-util-%{subver}/apr_dbd_sqlite*

%files odbc
%{_libdir}/apr-util-%{subver}/apr_dbd_odbc*

%files ldap
%{_libdir}/apr-util-%{subver}/apr_ldap*

%files openssl
%{_libdir}/apr-util-%{subver}/apr_crypto_openssl*

%files devel
%{_bindir}/apu-%{subver}-config
%{_includedir}/apr-%{subver}/*.h
%{_libdir}/libaprutil-%{subver}.so
%{_libdir}/libaprutil-1.la
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 1.6.3-2
- Rebuilt for mariadb-connector-c 3.3.5

* Thu Aug 17 2023 kianli <kianli@tencent.com> - 1.6.3-1
- Upgrade to 1.6.3

* Thu Aug 3 2023 Shuo Wang <abushwang@tencent.com> - 1.6.1-4
- Rebuilt for libpq 15.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 5 2022 cunshunxia <cunshunxia@tencent.com> - 1.6.1-1
- initial build
